/* readable code for the custom filter already included in autoconfig.json example */
/* minify this code using http://minifycode.com/javascript-minifier/ before pasting it into your autoconfig.json */
(function tvBridge(data) {

    try {
        const signal = data.config.pairs.binance['AUD-BTC'].strategy.split('add')[1];
        const signalPair = signal.split('+')[0];
        const signalDate = Date.parse(signal.split('+')[1]);
        const signalFresh = signalDate > (Math.floor(new Date().getTime()) - 600000);

        if (data.pairName === signalPair && signalFresh) {
            return true;
        }
        else {
            return false;
        }
    } catch (error) {
        /* fail silently */
    }

})(this)